Package com.io7m.jregions.core.parameterized.sizes

# Class PAreaSizeD.Builder<S>

java.lang.Object
com.io7m.jregions.core.parameterized.sizes.PAreaSizeDType.Builder<S>
com.io7m.jregions.core.parameterized.sizes.PAreaSizeD.Builder<S>

Enclosing class:
  PAreaSizeD<S>

    public static final class PAreaSizeD.Builder<S>
    extends PAreaSizeDType.Builder<S>

Builds instances of type `PAreaSizeD`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `PAreaSizeD<S>` | `build()` | Builds a new `PAreaSizeD`.
  `PAreaSizeD.Builder<S>` | `from​(PAreaSizeDType<S> instance)` | Fill a builder with attribute values from the provided `com.io7m.jregions.core.parameterized.sizes.PAreaSizeDType` instance.
  `PAreaSizeD.Builder<S>` | `from​(AreaSizeValuesDType instance)` | Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeValuesDType` instance.
  `PAreaSizeD.Builder<S>` | `setSizeX​(double sizeX)` | Initializes the value for the `sizeX` attribute.
  `PAreaSizeD.Builder<S>` | `setSizeY​(double sizeY)` | Initializes the value for the `sizeY` attribute.

  ### Methods inherited from class com.io7m.jregions.core.parameterized.sizes.PAreaSizeDType.Builder

  `setHeight, setWidth`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final PAreaSizeD.Builder<S> from​(PAreaSizeDType<S> instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.parameterized.sizes.PAreaSizeDType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final PAreaSizeD.Builder<S> from​(AreaSizeValuesDType instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeValuesDType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setSizeX

    public final PAreaSizeD.Builder<S> setSizeX​(double sizeX)
    Initializes the value for the `sizeX` attribute.
    Parameters:
      `sizeX` - The value for sizeX
    Returns:
      `this` builder for use in a chained invocation

  - ### setSizeY

    public final PAreaSizeD.Builder<S> setSizeY​(double sizeY)
    Initializes the value for the `sizeY` attribute.
    Parameters:
      `sizeY` - The value for sizeY
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public PAreaSizeD<S> build()
    Builds a new `PAreaSizeD`.
    Returns:
      An immutable instance of PAreaSizeD
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing